Loading...
Searching...
No Matches
PyDynamicEngineView Class Referencefinal

`#include <py_engine.h>`

Inheritance diagram for PyDynamicEngineView:
[legend]
Collaboration diagram for PyDynamicEngineView:
[legend]

## Private Member Functions

const gridfire::engine::DynamicEngine & | getBaseEngine () const override
| Access the underlying engine instance.

## Additional Inherited Members

Public Member Functions inherited from gridfire::engine::EngineView< gridfire::engine::DynamicEngine >
virtual | ~EngineView ()=default
| Virtual destructor.

## Member Function Documentation

## getBaseEngine()

const gridfire::engine::DynamicEngine & PyDynamicEngineView::getBaseEngine | ( |  | ) | const

overrideprivatevirtual

Access the underlying engine instance.

Returns
  Const reference to the underlying engine.

This method must be implemented by derived classes to provide access to the base engine. The returned reference should remain valid for the lifetime of the EngineView.

Example:

const DynamicEngine& engine = myView.getBaseEngine();

Implements gridfire::engine::EngineView< gridfire::engine::DynamicEngine >.

The documentation for this class was generated from the following files:

- src/python/engine/trampoline/py_engine.h
- src/python/engine/trampoline/py_engine.cpp